# $Revision: 1.65.2.1 $, $Date: 2011/04/17 20:23:38 $
# TODO
# - module images are not accessible from web (checkme?)
%define		mainver	5.2
%include	/usr/lib/rpm/macros.php
%define		php_min_version 5.2.0
Summary:	Phorum is a web based message board written in PHP
Summary(pl.UTF-8):	Phorum - implementacja forum WWW w PHP
Name:		phorum
Version:	%{mainver}.15a
Release:	5
License:	Apache-like
Group:		Applications/WWW
Source0:	http://www.phorum.org/downloads/%{name}-%{version}.tar.bz2
# Source0-md5:	e1a0a3974fc60ced71c95d282e7bcc3e
Source3:	apache.conf
Patch0:		paths.patch
Patch1:		mysql.patch
Patch2:		docsurl.patch
Patch3:		sys-phpmailer.patch
Patch4:		sys-recaptcha.patch
Patch5:		enable-mbstring.patch
Patch6:		no-pear-json.patch
Patch9:		multibyte_description.patch
Patch10:	translate-macros.patch
Patch11:	wordwrap.patch
Patch12:	unhide-errors.patch
URL:		http://www.phorum.org/
BuildRequires:	iconv
BuildRequires:	rpm-php-pearprov
BuildRequires:	rpmbuild(macros) >= 1.533
BuildRequires:	sed >= 4.0
BuildRequires:	unzip
Requires:	%{name}(DB_Provider)
#Requires:	php-date
Requires:	php-gd
Requires:	php-json
Requires:	php-mbstring
Requires:	php-pcre
Requires:	rpm-whiteout >= 1.33
Requires:	webapps
Requires:	webserver(access)
Requires:	webserver(alias)
Requires:	webserver(php) >= %{php_min_version}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# no pear deps
%define		_noautopear	pear

# exclude optional php dependencies
%define		_noautophp	php-date php-tokenizer

# put it together for rpmbuild
%define		_noautoreq	%{?_noautophp} %{?_noautopear}

%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_sysconfdir	%{_webapps}/%{_webapp}
%define		_appdir		%{_datadir}/%{_webapp}
%define		_phpdocdir	%{_docdir}/phpdoc
%define		_cachedir	/var/cache/phorum

%description
Phorum is a web based message board written in PHP who's goal is to be
database and platform independent. Phorum is designed with
high-availability and visitor ease of use in mind. Features such as
mailing list integration, easy customization and simple installation
make Phorum a powerful add-in to any website.

%description -l pl.UTF-8
Phorum jest forum dyskusyjnym WWW napisanym w PHP. Zamierzeniem
deweloperów jest uzyskanie niezależności od konkretnego systemu bazy
danych. Łatwa obsługa dla wypowiadających się przybyszów, prosta
instalacja, możliwość łatwego dostosowania do indywidualnych potrzeb
oraz integracja z listami dyskusyjnymi czynią Phorum atrakcyjnym
dodatkiem do każdej witryny.

%package admin
Summary:	Administrative Interface for Phorum
Group:		Applications/WWW
Requires:	%{name} = %{version}-%{release}
Obsoletes:	phorum-setup

%description admin
This package contains Administrative interface for Phorum.

%package phpdoc
Summary:	Online manual for Phorum
Summary(pl.UTF-8):	Dokumentacja online do Phorum
Group:		Documentation
Requires:	php-dirs

%description phpdoc
Documentation for Phorum.

%description phpdoc -l pl.UTF-8
Dokumentacja do Phorum.

%package db-mysql
Summary:	Phorum MySQL Backend: mysql
Group:		Applications/WWW
Requires:	%{name} = %{version}-%{release}
Requires:	php-mysql
Provides:	%{name}(DB_Provider)

%description db-mysql
Phorum MySQL Database backend via mysql PHP extension.

%package db-mysqli
Summary:	Phorum MySQL Backend: mysqli
Group:		Applications/WWW
Requires:	%{name} = %{version}-%{release}
Requires:	php-mysqli
Provides:	%{name}(DB_Provider)

%description db-mysqli
Phorum MySQL Database backend via mysqli PHP extension.

%package mod-announcements
Summary:	Phorum Announcements module
Group:		Applications/WWW
Requires:	%{name} = %{version}-%{release}

%description mod-announcements
Shows topics from one forum as announcements in a variety of ways.

%package mod-bbcode
Summary:	Phorum BBcode module
Group:		Applications/WWW
Requires:	%{name} = %{version}-%{release}

%description mod-bbcode
This module allows users to add BBcode (Bulletin Board Code) tags to
their postings. BBcode tags are a safe way of adding markup (bold,
italic, images, links, etc.). Created by Phorum Dev Team

%package mod-editor_tools
Summary:	Phorum Editor tools module
Group:		Applications/WWW
Requires:	%{name} = %{version}-%{release}

%description mod-editor_tools
This module will add a tool bar to the Phorum message editor, which
can be used by visitors to easily add things like BBcode tags and
smileys to their postings.

%package mod-event_logging
Summary:	Phorum Event Logging module
Group:		Applications/WWW
Requires:	%{name} = %{version}-%{release}

%description mod-event_logging
This module implements an event logging system, which can be used for
logging various events. Other modules can use this module for logging
purposes too.

%package mod-smtp_mail
Summary:	Phorum Send mail through SMTP module
Group:		Applications/WWW
Requires:	%{name} = %{version}-%{release}
Requires:	php-phpmailer >= 2.3

%description mod-smtp_mail
This module allows Phorum to send the email through an SMTP server
instead of using PHP's mail() function.

Some ISPs disable the mail() function, in which case this module is
needed to send emails to users. Only use it if you need it.

%package mod-replace
Summary:	Phorum Simple Text Replacement Module
Group:		Applications/WWW
Requires:	%{name} = %{version}-%{release}

%description mod-replace
This module allows admins to define text replacement in messages.

%package mod-smileys
Summary:	Phorum Smileys Module
Group:		Applications/WWW
Requires:	%{name} = %{version}-%{release}

%description mod-smileys
This module allows users to add graphical smileys to their messages.

%package mod-spamhurdles
Summary:	Phorum Spam Hurdle Module
Group:		Applications/WWW
Requires:	%{name} = %{version}-%{release}
Requires:	php-recaptcha

%description mod-spamhurdles
This module sets up some hurdles for forum spammers. It implements
both interactive (CAPTCHA) and non-interactive anti-spam methods to
keep away spam bots. On the settings page, you can control exactly
what hurdles to enable.

%package mod-tidy
Summary:	Phorum Tidy Output Module
Group:		Applications/WWW
Requires:	%{name} = %{version}-%{release}

%description mod-tidy
This module removes unneeded white space from Phorum's output saving
bandwidth.

%package mod-username_restrictions
Summary:	Phorum Username Restrictions Module
Group:		Applications/WWW
Requires:	%{name} = %{version}-%{release}

%description mod-username_restrictions
This module implements configurable features for enforcing user name
restrictions. The module will check the user name at registration time
and show an error to the user if the new username does not meet the
restrictions.

%package template-classic
Summary:	Classic template for Phorum
Group:		Applications/WWW
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}(template) = %{mainver}

%description template-classic
Classic template for Phorum.

%package template-emerald
Summary:	Emerald template for Phorum
Group:		Applications/WWW
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}(template) = %{mainver}

%description template-emerald
Emerald template for Phorum.

%package template-lightweight
Summary:	Lightweight template for Phorum
Group:		Applications/WWW
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}(template) = %{mainver}

%description template-lightweight
Lightweight template for Phorum.

%prep
%setup -q
find '(' -name '*.php' -o -name '*.css' -o -name '*.js' -o -name '*.html' ')' -print0 | xargs -0 %{__sed} -i -e 's,\r$,,'

install -d htdocs/admin examples

# htaccess will be provided by apache.conf
find -name .htaccess | xargs rm -v

# php-phpmailer
rm -rf mods/smtp_mail/phpmailer

# php-recaptcha
rm -rf mods/spamhurdles/captcha/recaptcha-php-1.9
rm -f mods/spamhurdles/MANIFEST

# php-json
rm -f include/api/json-pear.php

mv include/db/config.php.sample .
mv include/api/examples examples/api
mv docs/example_mods examples/mods
mv portable scripts examples
# so we don't have to package html/pdf/docbook via docs/*
mv docs/html htmldoc
mv docs/docbook .
mv docs/pdf pdfdoc

# kill old files by phorum
rm post.php

# fixup structure, move public files to htdocs.
mv *.php images htdocs

# still private files (not for web)
mv htdocs/common.php .
mv htdocs/script.php .

# admin css
mv include/admin/css htdocs/admin

# move template images to htdocs
for a in templates/*/images; do
	d=$(dirname "$a");
	install -d htdocs/$d
	mv $a htdocs/$d
done

# unify loading includes
a="'" q='"'
grep -Elr '(include|require)_once' include htdocs mods *.php | xargs sed -i -e "
# common.php
	s,\\(include\\|require\\)_once(\s*[$a$q]\./common.php[$a$q]\s*);,require_once PHORUM_DIR.'/common.php';,g
	s,include_once(\s*[$a$q]./common.php[$a$q]\s*);,require_once PHORUM_DIR.'/common.php';,g
	s,include_once\s*[$a$q]./common.php[$a$q]\s*;,require_once PHORUM_DIR.'/common.php';,g

# random includes
	s,include_once\s*([$a$q]include/\([^$a$q]\\+\)[$a$q]);,require_once PHORUM_INCLUDES_DIR.'/\\1';,g
	s,\\(include\\|require\\)_once\s*(\s*[$a$q]\./include/\([^$a$q]\\+\)[$a$q]\s*);,require_once PHORUM_INCLUDES_DIR.'/\\2';,g
	s,\\(include\\|require\\)_once\s*[$a$q]\./include/\([^$a$q]\\+\)[$a$q];,require_once PHORUM_INCLUDES_DIR.'/\\2';,g
	s,include\s*([$a$q]\./include/\([^$a$q]\\+\)[$a$q]);,include PHORUM_INCLUDES_DIR.'/\\1';,g

# mods
	s,require_once\s*([$a$q]\./mods/\([^$a$q]\\+\)[$a$q]);,require_once PHORUM_DIR.'/mods/\\1';,g
"

# update path to common.php
sed -i -e "s,require_once PHORUM_DIR.'/common.php';,require_once '../common.php';," htdocs/*.php
sed -i -e "s,require_once PHORUM_DIR.'/common.php';,require_once 'common.php';," *.php

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1

# cleanup backups after patching
find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir},%{_cachedir}}
cp -a *.php htdocs include mods templates $RPM_BUILD_ROOT%{_appdir}
cp -a %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
cp -a %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf
cp -a config.php.sample $RPM_BUILD_ROOT%{_sysconfdir}/config.php

cat > langmap <<'EOF'
cs czech
cs czech-latin2
cs czech-utf8
cs czech-win1250
da danish
de german
de german_sie
en english
es spanish
es spanish_latin_american
et estonian
fi finnish
fr french
it italian
nb norwegian
nl dutch
nl dutch_informal
ru russian
sv swedish
tr turkish
EOF

rm -f *.lang

echo "%dir %{_appdir}/include/lang" >> %{name}.lang
while read code lang; do
	[ -f include/lang/$lang.php ] && echo "%lang($code) %{_appdir}/include/lang/$lang.php" >> %{name}.lang
done < langmap

for mod in mods/*/; do
	mod=${mod%/} file=${mod#mods/}.lang
	> $file
	echo "%dir %{_appdir}/$mod" >> $file
	[ -f $mod/Changelog ] && echo %{_appdir}/$mod/Changelog >> $file
	[ -f $mod/README ] && echo %{_appdir}/$mod/README >> $file
	[ -f $mod/TODO ] && echo %{_appdir}/$mod/TODO >> $file
	[ -f $mod/info.txt ] && echo %{_appdir}/$mod/info.txt >> $file
	[ -f $mod/MANIFEST ] && echo %{_appdir}/$mod/MANIFEST >> $file
	[ -d $mod/icons ] && echo %{_appdir}/$mod/icons >> $file
	[ -d $mod/images ] && echo %{_appdir}/$mod/images >> $file
	[ -d $mod/templates ] && echo %{_appdir}/$mod/templates >> $file
	if [ -d $mod/lang ]; then
		echo "%dir %{_appdir}/$mod/lang" >> $file
		while read code lang; do
			[ -f $mod/lang/$lang.php ] && echo "%lang($code) %{_appdir}/$mod/lang/$lang.php" >> $file
		done < langmap
	fi
	if [ -d $mod/help ]; then
		echo "%dir %{_appdir}/$mod/help" >> $file
		while read code lang; do
			[ -d $mod/help/$lang ] && echo "%lang($code) %{_appdir}/$mod/help/$lang" >> $file
		done < langmap
	fi
	echo "%{_appdir}/$mod/*.php" >> $file
done

# apidoc
install -d $RPM_BUILD_ROOT%{_phpdocdir}/%{name}
cp -a htmldoc/api/* $RPM_BUILD_ROOT%{_phpdocdir}/%{name}

# examples
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post template-classic
rm -f %{_cachedir}/tpl-classic-*

%postun template-classic
if [ "$1" = 0 ]; then
	rm -f %{_cachedir}/tpl-classic-*
fi

%post template-emerald
rm -f %{_cachedir}/tpl-emerald-*

%postun template-emerald
if [ "$1" = 0 ]; then
	rm -f %{_cachedir}/tpl-emerald-*
fi

%post template-lightweight
rm -f %{_cachedir}/tpl-lightweight-*

%postun template-lightweight
if [ "$1" = 0 ]; then
	rm -f %{_cachedir}/tpl-lightweight-*
fi

%post admin
if [ "$1" = 1 ]; then
	%banner -e %{name} <<-EOF
	Initial Phorum setup is simple as:
	1. creating mysql database:
	mysqladmin create phorum5
	2. granting privs and editing %{_sysconfdir}/config.php
	3. opening http://localhost/phorum/admin.php
EOF
fi

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc docs/*
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*.php

%dir %{_appdir}
%{_appdir}/common.php
%{_appdir}/script.php
%dir %{_appdir}/mods
%dir %{_appdir}/templates

%dir %{_appdir}/include
%dir %{_appdir}/include/db

# yes, base mysql code in main package as both mysql/mysqli use it
%dir %{_appdir}/include/db/mysql
%{_appdir}/include/db/mysql.php

%{_appdir}/include/*.php
%{_appdir}/include/controlcenter
%{_appdir}/include/posting
%{_appdir}/include/ajax
%{_appdir}/include/api
%{_appdir}/include/cache

%dir %{_appdir}/htdocs
%dir %{_appdir}/htdocs/templates
%{_appdir}/htdocs/images

%{_appdir}/htdocs/addon.php
%{_appdir}/htdocs/ajax.php
%{_appdir}/htdocs/changes.php
%{_appdir}/htdocs/control.php
%{_appdir}/htdocs/css.php
%{_appdir}/htdocs/feed.php
%{_appdir}/htdocs/file.php
%{_appdir}/htdocs/follow.php
%{_appdir}/htdocs/index.php
%{_appdir}/htdocs/javascript.php
%{_appdir}/htdocs/list.php
%{_appdir}/htdocs/login.php
%{_appdir}/htdocs/moderation.php
%{_appdir}/htdocs/pm.php
%{_appdir}/htdocs/posting.php
%{_appdir}/htdocs/profile.php
%{_appdir}/htdocs/read.php
%{_appdir}/htdocs/redirect.php
%{_appdir}/htdocs/register.php
%{_appdir}/htdocs/report.php
%{_appdir}/htdocs/rss.php
%{_appdir}/htdocs/search.php
%{_appdir}/htdocs/versioncheck.php

%dir %attr(770,root,http) /var/cache/phorum

%{_examplesdir}/%{name}-%{version}

%files admin
%defattr(644,root,root,755)
%{_appdir}/htdocs/admin
%{_appdir}/htdocs/admin.php
%{_appdir}/include/admin
%{_appdir}/include/db/upgrade

%files phpdoc
%defattr(644,root,root,755)
%{_phpdocdir}/%{name}

%files db-mysql
%defattr(644,root,root,755)
%{_appdir}/include/db/mysql/mysql.php

%files db-mysqli
%defattr(644,root,root,755)
%{_appdir}/include/db/mysql/mysqli.php
%{_appdir}/include/db/mysql/mysqli_replication.php

%files mod-announcements -f announcements.lang
%defattr(644,root,root,755)

%files mod-bbcode -f bbcode.lang
%defattr(644,root,root,755)
%{_appdir}/mods/bbcode/colorpicker
%{_appdir}/mods/bbcode/*.js
%{_appdir}/mods/bbcode/help/*.css
%{_appdir}/mods/bbcode/help/*.gif

%files mod-editor_tools -f editor_tools.lang
%defattr(644,root,root,755)
%{_appdir}/mods/editor_tools/*.js
%{_appdir}/mods/editor_tools/*.css

%files mod-event_logging -f event_logging.lang
%defattr(644,root,root,755)
%{_appdir}/mods/event_logging/db
%{_appdir}/mods/event_logging/settings

%files mod-replace -f replace.lang
%defattr(644,root,root,755)

%files mod-smileys -f smileys.lang
%defattr(644,root,root,755)
%{_appdir}/mods/smileys/*.css
%{_appdir}/mods/smileys/*.gif
%{_appdir}/mods/smileys/help/*.css
%{_appdir}/mods/smileys/help/*.php

%files mod-spamhurdles -f spamhurdles.lang
%defattr(644,root,root,755)
%{_appdir}/mods/spamhurdles/captcha
%{_appdir}/mods/spamhurdles/db
%{_appdir}/mods/spamhurdles/lib
%{_appdir}/mods/spamhurdles/*.css
%{_appdir}/mods/spamhurdles/*.jpg

%files mod-tidy
%defattr(644,root,root,755)
%{_appdir}/mods/mod_tidy.php

%files mod-username_restrictions -f username_restrictions.lang
%defattr(644,root,root,755)

%files mod-smtp_mail -f smtp_mail.lang
%defattr(644,root,root,755)

%files template-classic
%defattr(644,root,root,755)
%{_appdir}/templates/classic
%{_appdir}/htdocs/templates/classic

%files template-emerald
%defattr(644,root,root,755)
%{_appdir}/templates/emerald
%{_appdir}/htdocs/templates/emerald

%files template-lightweight
%defattr(644,root,root,755)
%{_appdir}/templates/lightweight
%{_appdir}/htdocs/templates/lightweight

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: phorum.spec,v $
Revision 1.65.2.1  2011/04/17 20:23:38  glen
- unhide errors and connect failure patch

Revision 1.65  2011/01/27 11:24:17  glen
- utf8 compatible wordwrap; rel 4

Revision 1.64  2010/11/04 16:03:14  glen
- dropped estonian & russian translations (i maintain my translations in pootle now), it's pita to maintain them as patches; rel 3

Revision 1.63  2010/10/21 21:38:39  glen
- start macro uses in translations

Revision 1.62  2010/10/01 07:38:10  glen
- update et translations

Revision 1.61  2010/07/21 06:42:02  glen
- release 1

Revision 1.60  2010/05/04 09:34:03  glen
- multibyte chop corruption fix from phorum

Revision 1.59  2010/05/03 15:16:14  glen
- ru translations update

Revision 1.58  2010/04/30 13:09:14  glen
- improve ru translations

Revision 1.57  2010/04/30 12:47:33  glen
- add ru translation improvements

Revision 1.56  2010/04/09 15:01:39  glen
- two path fixes

Revision 1.55  2010/04/09 14:45:46  glen
- add update-et.patch

Revision 1.54  2010/04/06 23:35:49  sparky
- dropped BR: glibc-misc
- no macros in O:

Revision 1.53  2010/04/06 12:38:55  glen
- do not require not very recent php package
- renamed -setup to -admin

Revision 1.52  2010/04/01 14:55:52  glen
- current undos macro is broken, back to sed

Revision 1.51  2010/04/01 14:39:33  glen
- add lang source downloadurls

Revision 1.50  2010/04/01 14:08:07  glen
- up to 5.2.15a

Revision 1.49  2010/04/01 13:24:27  glen
- fix spamhurdles file

Revision 1.48  2010/04/01 13:07:48  glen
- skip php-date dep for now

Revision 1.47  2010/02/18 15:06:00  glen
- package mods topdir

Revision 1.46  2010/02/10 20:04:37  sparky
- BR: iconv, rpm-php-pearprov, unzip

Revision 1.45  2010/02/10 16:19:23  glen
- more include path fixes

Revision 1.44  2010/02/10 15:57:32  glen
- drop pear copy of json, avoid using substr on utf8 data by forcing mbstring in

Revision 1.43  2010/02/10 15:45:05  glen
- subpackages for mysql and mysqli db drivers
- update deps and generate them

Revision 1.42  2010/02/10 10:17:39  glen
- package missing template dir, runtime deps

Revision 1.41  2010/02/10 10:08:40  glen
- newforum fix

Revision 1.40  2010/01/14 10:40:42  glen
- rename theme -> template to have same naming of objects

Revision 1.39  2010/01/14 10:36:46  glen
- add estonian and russian languages

Revision 1.38  2010/01/13 21:23:43  glen
- fix duplicate templates packaging

Revision 1.37  2010/01/13 21:14:40  glen
- rm tpl cache on upgrade/removal

Revision 1.36  2010/01/13 20:37:15  glen
- use system recaptcha lib

Revision 1.35  2010/01/13 20:22:23  glen
- lang tags for mods

Revision 1.34  2010/01/13 19:51:14  glen
- mod subpackages

Revision 1.33  2010/01/13 11:32:51  glen
- add phpdoc package, examples to exampledir

Revision 1.32  2010/01/12 17:41:33  glen
- rework htdocs separation: do not use chdir, but path constants as relative
  file inclusion is broken otherwise.

Revision 1.31  2010/01/12 17:26:50  glen
- use system phpmailer

Revision 1.30  2010/01/11 14:40:21  glen
- template subpackages

Revision 1.29  2010/01/06 18:23:58  glen
- patch after moving files around (easier for further changes)

Revision 1.28  2010/01/06 18:18:55  glen
- fs structure fixes

Revision 1.27  2010/01/06 17:30:14  glen
- prepare for 5.2.14

Revision 1.26  2007/12/27 17:21:30  glen
- mysql auth

Revision 1.25  2007-12-27 17:18:34  glen
- 5.1.25

Revision 1.24  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.23  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.22  2006/11/21 19:56:06  glen
- rel 0.20: use php(extension) virtuals

Revision 1.21  2006/09/29 21:25:58  glen
- update webapp triggers due apache1 package split

Revision 1.20  2006/03/08 17:33:44  glen
- noarch

Revision 1.19  2006/03/08 17:03:57  glen
- include portable in %doc

Revision 1.18  2006/03/08 16:46:49  glen
- banner for fast setup instructions

Revision 1.17  2006/03/08 16:41:03  glen
- cache dir

Revision 1.16  2006/03/08 16:30:58  glen
- separate htdocs and includes

Revision 1.15  2006/03/08 16:11:16  glen
- separate admin to -setup package

Revision 1.14  2006/03/08 16:03:04  glen
- config in webapps dir

Revision 1.13  2006/03/08 13:12:24  glen
- update to 5.0.21

Revision 1.12  2006/03/08 12:14:48  glen
- webapps

Revision 1.11  2005/12/13 14:37:23  glen
- adapterized (sorted %verify flags)

Revision 1.10  2004/10/03 19:50:53  blues
- 5.0.10 - not tested

Revision 1.9  2004/08/10 13:52:03  blues
- SECURITY note

Revision 1.8  2003/08/12 22:32:51  ankry
- cosmetics

Revision 1.7  2003/07/22 12:51:20  adamg
- updated to 3.4.4
- added smileys/ directory

Revision 1.6  2003/05/28 13:01:15  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:25:17  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/05/12 09:44:31  qboosh
- updated to 3.4.3 (security fixes)
- missing dir, updated path to use /home/services

Revision 1.3  2003/01/17 15:18:20  jk
- changed Source0 URL to point at bziped tarball
- changed permissions to forums.php; username and password
  to database is stored there

Revision 1.2  2003/01/17 13:58:00  qboosh
- added Source0 URL, reformatted descriptions to 70 chars/line
- cleanups, added config(noreplace) and missing dir

Revision 1.1  2003/01/17 11:14:04  jk
- initial version (designed for Ra)
- some issues still pending
